#pragma once

#include <irrlicht.h>
using namespace irr;

class ScaleUpAnimator : public scene::ISceneNodeAnimator
{
	public:
		ScaleUpAnimator(float scaleSeconds, float waitSeconds);
		virtual ~ScaleUpAnimator();

		virtual void animateNode(scene::ISceneNode* node, u32 timeMs);
		virtual scene::ISceneNodeAnimator* createClone(scene::ISceneNode* node,
				scene::ISceneManager* newManager=0);

		virtual bool isEventReceiverEnabled() const { return false; }
		virtual bool OnEvent(const SEvent& event) { return false; }
		virtual scene::ESCENE_NODE_ANIMATOR_TYPE getType() const { return scene::ESNAT_UNKNOWN; }
		virtual bool hasFinished(void) const { return m_hasFinished; }

	private:
		bool m_hasFinished;
		u32 m_startTime;
		u32 m_waitTime;
		u32 m_scaleTime;
};

